Subject: [MIB-DOCTORS] IfType References - ATM and SONET

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Sat, 5 Aug 2006 01:24:22 +0200

Keith responded
> > > 9. The row for ifType=49 is incorrect.  RFC 2515 is the 
> > > reference for both of:
> > > 
> > >     atm(37)           -- ATM cell layer
> > >     aal5(49)          -- ATM AAL5 layer
> > > 
> > 
> > RFC2515 also talks about ifType 53 : propVirtual(53),    
> 
> Yes, 2515 describes an ATM switch as having an internal interface with
> AAL5 over a propVirtual(53) interface.  This is only one 
> example of the
> usage of a propVirtual(53) interface; it can also be used in non-ATM
> situations also.
> 
> > The MIB in 2515 (ATM-MIB) is registered as mib-2.37
> > 
> > Mmm... RFC3498 DOES assign transmission.49
> > But it is for ifType sonet(39), or at least the APS-MIB 
> > seems to say so several times.
> > Wow... have we screwed up in the past I guess.
>  
> Right !!  My guess is that someone at IANA assigned a seemingly unused
> number, without realising the implications.
> 
> > But then, the SONET-MIB (RFC3592) claims to be for ifTypes 
> >        sonet (39), sonetPath (50), sonetVT (51)
> > 
> > and does have as MIB oid: transmission.39
> > 
> > So I think I need to:
> >   add to row for ifType 39 a ptr to RFC3498 in addition to  RFC3592
> >   add rows for ifType 50 and 51
> >   fix some comments and ptrs
>  
> I think so.
> 

As a result of the above discussion I now have:

      <!--label-->     <c>atm</c>
      <!--ifType-->    <c>37</c>
      <!--MIBoid-->    <c>mib-2.37</c>
      <!--MIBmodule--> <c>ATM-MIB</c>
      <!--Reference--> <c><xref target='RFC2515'/> (PS)</c>
      <!--comment-->   <c>ATM cell layer</c>

      <!--label-->     <c>sonet</c>
      <!--ifType-->    <c>39</c>
      <!--MIBoid-->    <c>transmission.39</c>
      <!--MIBmodule--> <c>SONET-MIB</c>
      <!--Reference--> <c><xref target='RFC3592'/> (DS)</c>
      <!--comment-->   <c>SONET/SDH Medium/Section/Line
                         <vspace blanklines='0'/>
                          ifType sonet(39) is also mentioned in the APS-MIB
                          in <xref target='RFC3498'/>.
                       </c>

      <!--label-->     <c>aal5</c>
      <!--ifType-->    <c>49</c>
      <!--MIBoid-->    <c>mib-2.37</c>
      <!--MIBmodule--> <c>ATM-MIB</c>
      <!--Reference--> <c><xref target='RFC2515'/> (PS)</c>
      <!--comment-->   <c>ATM AAL5 layer
                         <vspace blanklines='0'/>
                          transmission.49 has been assigned to the APS-MIB
                          in <xref target='RFC3498'/>.
                          It is for ifType sonet(39). The SONET-MIB
                          in <xref target='RFC3592'/> also claims to be for
                          ifType sonet(39).
                          This is weird, but a fact of life.
                       </c>

      <!--label-->     <c>sonetPath</c>
      <!--ifType-->    <c>50</c>
      <!--MIBoid-->    <c>transmission.39</c>
      <!--MIBmodule--> <c>SONET-MIB</c>
      <!--Reference--> <c><xref target='RFC3592'/> (DS)</c>
      <!--comment-->   <c>SONET/SDH Path</c>

      <!--label-->     <c>sonetVT</c>
      <!--ifType-->    <c>51</c>
      <!--MIBoid-->    <c>transmission.39</c>
      <!--MIBmodule--> <c>SONET-MIB</c>
      <!--Reference--> <c><xref target='RFC3592'/> (DS)</c>
      <!--comment-->   <c>SONET/SDH Virtual Tributary/Virtual Container</c>

There are quite a few more ATM related ifTypes that I still need to check out

And two more for SONET

Bert

_______________________________________________
MIB-DOCTORS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mib-doctors

---

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Mon, 7 Aug 2006 12:02:19 +0200

OK then, so it seems I should just take out the line
          This is weird, but a fact of life.
from the comments field and we're all done.

Bert

> -----Original Message-----
> From: Keith McCloghrie [mailto:[email-masked]]
> Sent: Saturday, August 05, 2006 14:44
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: Re: IfType References - ATM and SONET
> 
> 
> >       <!--label-->     <c>aal5</c>
> >       <!--ifType-->    <c>49</c>
> The SONET-MIB is a media-specific extension for ifTable rows with
> ifType=39.  The APS-MIB intruments the Automatic Protection Switching
> mechanism by which some/all of the ifTable rows with ifType=39 can be
> grouped together, where a group consists of some lines which 
> are active
> and others which are backups in case an active line goes down.
> 
> So, I don't think it's weird that they both refer to 
> sonet(39).  The thing 
> which is weird is that they don't refer to each other.
> 
> Keith.
>

---

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Mon, 7 Aug 2006 12:02:19 +0200

Bert